#!/usr/bin/env bash

set -efu

# PREFIX="../../.."
PREFIX="${PREFIX:-/usr/share/icons}"

mkdir -p apps/128x128 apps/64x64 apps/48x48 apps/32x32 apps/24x24 apps/16x16

_ln(){
    if ! test -e "$1"; then
        echo "$1 does not exist!"
        return 1
    fi
    ln -sf "$1" "$2"
}

# svg
pushd apps/128x128
_ln ${PREFIX}/hicolor/scalable/apps/kometa.svg basealt.svg
_ln ${PREFIX}/hicolor/scalable/apps/kometa.svg altlinux.svg
popd

# png
for i in 64x64 48x48 32x32 24x24 16x16
do
    pushd apps/${i}
    _ln ${PREFIX}/hicolor/${i}/apps/kometa.png basealt.png
    _ln ${PREFIX}/hicolor/${i}/apps/kometa.png altlinux.png
    popd
done
